List filings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getpalm.com/v1/filing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getpalm.com/v1/filing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.getpalm.com/v1/filing \
--header 'Authorization: Bearer <token>'{
"object": "list",
"has_more": true,
"next_cursor": "crs_7g8h9i0j1k2l3m4n",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "filing",
"mode": "live",
"created_at": "2025-10-24T10:30:00Z",
"updated_at": "2025-10-24T15:45:00Z",
"metadata": {
"external_id": "user_123_in_my_system",
"customer_tier": "premium",
"signup_source": "mobile_app"
},
"type": "formation",
"status": "queued",
"entity_type": "llc",
"jurisdiction": "US-NC",
"name": "Acme Holdings LLC",
"expedited_tier": "same_day",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"registration_number": "NC-12345678",
"formation_date": "2026-06-23"
},
"parent_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_items": [
{
"object": "filing",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "formation",
"status": "queued"
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "document",
"type": "articles_of_organization",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"fee": {
"total": {
"amount": 125,
"currency": "USD"
},
"base": {
"amount": 125,
"currency": "USD"
},
"dynamic": {
"amount": 125,
"currency": "USD"
},
"late": {
"amount": 125,
"currency": "USD"
},
"credit_card": {
"amount": 125,
"currency": "USD"
},
"ach": {
"amount": 125,
"currency": "USD"
},
"items": [
{
"component_type": "dynamic",
"name": "franchise_tax",
"amount": 500,
"currency": "USD"
}
]
},
"status_reason": "<string>",
"canceled_by": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"cases": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "case",
"mode": "live",
"created_at": "2025-10-24T10:30:00Z",
"updated_at": "2025-10-24T15:45:00Z",
"metadata": {
"external_id": "user_123_in_my_system",
"customer_tier": "premium",
"signup_source": "mobile_app"
},
"parent_type": "filing",
"parent_id": "4b2d9e17-8c35-4a6b-9f02-1e7d5a3c8b96",
"kind": "missing_information",
"status": "needs_response",
"summary": "Additional information needed to complete your filing.",
"opened_at": "2023-11-07T05:31:56Z",
"details": "<string>",
"request": {
"fields": [
{
"name": "corrected_legal_name",
"type": "string",
"description": "Corrected legal name (state rejected \"Acme LLC\" — name already taken).",
"required": true,
"example": "Acme Holdings LLC"
}
]
},
"response": {
"fields": {}
},
"due_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_reason": "response_received"
}
]
}
]
}Filing
List filings
List filings in your Palm account, ordered most-recent first. Filter by type, status, or linked business; paginate with the opaque cursor returned on the previous page.
GET
/
v1
/
filing
List filings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getpalm.com/v1/filing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getpalm.com/v1/filing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.getpalm.com/v1/filing \
--header 'Authorization: Bearer <token>'{
"object": "list",
"has_more": true,
"next_cursor": "crs_7g8h9i0j1k2l3m4n",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "filing",
"mode": "live",
"created_at": "2025-10-24T10:30:00Z",
"updated_at": "2025-10-24T15:45:00Z",
"metadata": {
"external_id": "user_123_in_my_system",
"customer_tier": "premium",
"signup_source": "mobile_app"
},
"type": "formation",
"status": "queued",
"entity_type": "llc",
"jurisdiction": "US-NC",
"name": "Acme Holdings LLC",
"expedited_tier": "same_day",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"registration_number": "NC-12345678",
"formation_date": "2026-06-23"
},
"parent_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_items": [
{
"object": "filing",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "formation",
"status": "queued"
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "document",
"type": "articles_of_organization",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"fee": {
"total": {
"amount": 125,
"currency": "USD"
},
"base": {
"amount": 125,
"currency": "USD"
},
"dynamic": {
"amount": 125,
"currency": "USD"
},
"late": {
"amount": 125,
"currency": "USD"
},
"credit_card": {
"amount": 125,
"currency": "USD"
},
"ach": {
"amount": 125,
"currency": "USD"
},
"items": [
{
"component_type": "dynamic",
"name": "franchise_tax",
"amount": 500,
"currency": "USD"
}
]
},
"status_reason": "<string>",
"canceled_by": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"cases": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"object": "case",
"mode": "live",
"created_at": "2025-10-24T10:30:00Z",
"updated_at": "2025-10-24T15:45:00Z",
"metadata": {
"external_id": "user_123_in_my_system",
"customer_tier": "premium",
"signup_source": "mobile_app"
},
"parent_type": "filing",
"parent_id": "4b2d9e17-8c35-4a6b-9f02-1e7d5a3c8b96",
"kind": "missing_information",
"status": "needs_response",
"summary": "Additional information needed to complete your filing.",
"opened_at": "2023-11-07T05:31:56Z",
"details": "<string>",
"request": {
"fields": [
{
"name": "corrected_legal_name",
"type": "string",
"description": "Corrected legal name (state rejected \"Acme LLC\" — name already taken).",
"required": true,
"example": "Acme Holdings LLC"
}
]
},
"response": {
"fields": {}
},
"due_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_reason": "response_received"
}
]
}
]
}Authorizations
Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx
Query Parameters
Filter by filing type
Filter by status: queued, ready_to_file, processing, filed, completed, or canceled.
Filter by business ID
Max items (default 10, max 100)
Pagination cursor
Response
Paginated list of filings
Object type identifier, always "list"
Available options:
list Example:
"list"
Whether there are more results available
Example:
true
Cursor for the next page of results. Only present when has_more is true.
Example:
"crs_7g8h9i0j1k2l3m4n"
Array of resources for the current page
Show child attributes
Show child attributes
Was this page helpful?

